package com.mx.dla.dda.contrato.facturas.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class FacturaDbDTO extends BaseDTO {

	/**
	 * 
	 */
    private static final long serialVersionUID = -6608954937649952666L;
    
	private Long              idFactura;
	private Long              idContratoOriginal;

	private String            ordenCompra;
	private String            doctoOc;
	private String            noFactura;
	private String            sociedad;
	private String            importe;
	private String            annio;
	private String            doctoEm;
	private Date              fechaModificacion;

	public Long getIdFactura() {
		return idFactura;
	}

	public void setIdFactura(Long idFactura) {
		this.idFactura = idFactura;
	}

	public Long getIdContratoOriginal() {
		return idContratoOriginal;
	}

	public void setIdContratoOriginal(Long idContratoOriginal) {
		this.idContratoOriginal = idContratoOriginal;
	}

	public String getOrdenCompra() {
		return ordenCompra;
	}

	public void setOrdenCompra(String ordenCompra) {
		this.ordenCompra = ordenCompra;
	}

	public String getDoctoOc() {
		return doctoOc;
	}

	public void setDoctoOc(String doctoOc) {
		this.doctoOc = doctoOc;
	}

	public String getNoFactura() {
		return noFactura;
	}

	public void setNoFactura(String noFactura) {
		this.noFactura = noFactura;
	}

	public String getSociedad() {
		return sociedad;
	}

	public void setSociedad(String sociedad) {
		this.sociedad = sociedad;
	}

	public String getImporte() {
		return importe;
	}

	public void setImporte(String importe) {
		this.importe = importe;
	}

	public String getAnnio() {
		return annio;
	}

	public void setAnnio(String annio) {
		this.annio = annio;
	}

	public String getDoctoEm() {
		return doctoEm;
	}

	public void setDoctoEm(String doctoEm) {
		this.doctoEm = doctoEm;
	}

	public Date getFechaModificacion() {
		return fechaModificacion;
	}

	public void setFechaModificacion(Date fechaModificacion) {
		this.fechaModificacion = fechaModificacion;
	}

}
